Wonder
put/svc/payment/api/v1/openapi/recurring_payments/plan/{id}/cancel

Cancel a plan

Cancels all cycles of a specified plan, either immediately or on the next billing date, with an option to refund remaining credit.

Path parameters

idrequired
string

Recurring plan id

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

activate_typerequired
enum<string>

Immediate: The cycle to be added will start immediately and all previously-active recurring_cycles.state from the recurring plan will be updated to cancelled. Next Billing Date: The cycle to be added will start on the next billing date of the current recurring cycle. The recurring_cycles.state will be updated to completed, and all the succession recurring_cycles.state of it will be updated to cancelled.

immediatenext_billing_date

refund_creditrequired
boolean

Only applicable for activate_type = immediate. By default, we will refund the current recurring billing's remaining credit back to the customer

Responses

coderequired
integer

Response code

datarequired
object

Response data

messagerequired
string

Response message